%define name		jai
%define version		1.1.3
%define cvs_version	1_1_3
%define doc_cvs_version	1_1
%define release		1jpp
%define section		non-free
%define source_top	%{name}-%{cvs_version}

Summary:       	Java Advanced Imaging API
URL:           	http://java.sun.com/products/java-media/jai/

Source0:        %{name}-%{cvs_version}-lib-linux-i586.tar.gz
NoSource:      	0

# If you do not want -javadoc built, give rpmbuild option '--without javadoc'
%define with_javadoc %{!?_without_javadoc:1}%{?_without_javadoc:0}

%if %{with_javadoc}
Source1:       	%{name}-%{doc_cvs_version}-mr-doc.zip
NoSource:      	1
%endif

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
License:        Java Distribution License (JDL)
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
BuildArch:      i586
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The JavaTM Advanced Imaging application programming interface (API)
enables developers to easily incorporate high-performance,
network-enabled, scalable, platform-independent image processing into
Java technology-based applications and applets. By using the inherent
stengths of the Java language, Java Advanced Imaging extends the
concept of "Write Once, Run Anywhere(TM)" to image processing
applications.

%package javadoc
Summary:	Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}

%prep
%setup -q -n %{source_top}
chmod 0644 *.txt

%if %{with_javadoc}
%setup -q -D -T -a 1 -n %{source_top}
%endif

%build

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755           $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 0644 lib/*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}

# libs
install -d -m 0755           $RPM_BUILD_ROOT%{_libdir}
install -p -m 0755 lib/*.so  $RPM_BUILD_ROOT%{_libdir}

# javadoc
%if %{with_javadoc}
install -d -m 0755	     $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr %{name}-apidocs/*     $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version}     $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f                    %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc *.txt
%{_javadir}/%{name}
%{_libdir}/*.so

%if %{with_javadoc}
%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}
%endif

%changelog
* Wed Sep 26 2007 Ismael Olea <ismael@olea.org> 1.1.3-1.jpp
- upgrade to 1.1.3

* Sat Dec 04 2004 Paolo Dona' <vik@3jv.com> 1.1.2.01-1jpp
- Upgrade to 1.1.2.01

* Thu Sep 11 2003 Leonid Dubinsky <dub@podval.org> - 0:1.1.2-2jpp
- add javadoc subpackage
- add dependence and build dependence on jpackage-utils

* Sat Jul 19 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1.2-1jpp
- First build.
